Bug 378951 - Review Request: eclipse-photran - Eclipse Fortran Development Tools (Photran) plugin
Review Request: eclipse-photran - Eclipse Fortran Development Tools (Photran)...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 17:18 EST by Orion Poplawski
Modified: 2008-02-09 10:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-09 10:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sergio.pasra: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-11-12 17:18:35 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/eclipse-photran.spec
SRPM URL:
http://www.cora.nwra.com/~orion/fedora/eclipse-photran-4.0-0.b3.fc8.src.rpm
Description:
The eclipse-photran package contains the Photran Eclipse feature and plugins
that are useful for Fortran development.
Comment 1 Sergio Pascual 2007-12-20 06:32:44 EST
The review:

source files match upstream
package meets naming and versioning guidelines
specfile is properly named, is cleanly written and uses macros consistently OK
dist tag is present
the package must meet the  Packaging Guidelines PROBLEM

I'm not sure that using ExclusiveArch is appropriated here. 
http://fedoraproject.org/wiki/Architectures states that ExclusiveArch
should be avoided and ExcludeArch used instead. 
This is enough to avoid ppc64 compillation:

ExcludeArch: ppc64

In any case, after the packaged is aceepted, you have to open a bug against your 
package, explaining why it doesn't build, and mark it as blocking the
ExcludeArch-ppc64 bug tracker 
https://bugzilla.redhat.com/show_bug.cgi?id=FE-ExcludeArch-ppc64
Then put the bug number in a comment near the ExcludeArch


build root is correct:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
license field matches the actual license. Eclipse Public License
license is open source-compatible.  EPL License text included in package.
(./org.eclipse.photran-feature/epl-v10.html)
latest version is being packaged
BuildRequires are proper
compiler flags are appropriate
%clean is present
package builds in mock ( )
package installs properly
debuginfo package looks complete
rpmlint is silent. WARNING

eclipse-photran.i386: W: one-line-command-in-%post /usr/bin/rebuild-gcj-db
eclipse-photran.i386: W: one-line-command-in-%postun /usr/bin/rebuild-gcj-db

This way is recomended:  
%post -p %{_bindir}/rebuild-gcj-db

%postun -p %{_bindir}/rebuild-gcj-db

final provides and requires are sane
%check is present and all tests pass: Not applicable
no shared libraries are added to the regular linker search paths.
owns the directories it creates.
doesn't own any directories it shouldn't.
no duplicates in %files.
file permissions are appropriate.
no scriptlets present.
code, not content.
documentation is small, so no -docs subpackage is necessary.
%docs are not necessary for the proper functioning of the package.
no headers.
no pkgconfig files.
no libtool .la droppings.
not a GUI app.

So, as a summary:
 * Change ExclusiveArch by ExcludeArch (unless you have a good reason to use the
former)
 * And please use the one line form of %post and %postun
Comment 2 Orion Poplawski 2007-12-20 12:28:39 EST
Well, the ExclusiveArch form is copied verbatim from the eclipse-cdt package.  I
agree though that the ExludeArch form fits the packaging guidelines better.  I'm
CC'ing Andrew Overholt and Jeff Johnston (who seem to maintain eclipse-cdt) to
get comments.  I know there are efforts to get sparc and alpha supported so we
may need to exclude them in the future depending on gcj support status.
Comment 3 Andrew Overholt 2007-12-20 12:36:46 EST
Upstream CDT only supports a limited number of architectures.  While you could
perhaps persuade Jeff to build fragments (the Eclipse concept of native bits)
for other platforms, at the moment it's limited to those platforms.  Rather than
ExcludeArch an open set (ppc64, sparc, etc.), IMO it's better to ExclusiveArch
the architectures that are provided.
Comment 4 Sergio Pascual 2007-12-20 12:52:14 EST
(In reply to comment #2)
Ok then. But remember to open the bug blocking FE-ExcludeArch-ppc64 after the
package gets approved and to add a comment with the bug number near the
ExclusiveArch

The only remaining issue is the one-line form of %post and %postun

Comment 5 Orion Poplawski 2007-12-20 12:56:51 EST
* Thu Dec 20 2007 - Orion Poplawski <orion@cora.nwr.com> - 4.0-0.b3.1
- One line post/postun script form

Spec URL: http://www.cora.nwra.com/~orion/fedora/eclipse-photran.spec
SRPM URL:
http://www.cora.nwra.com/~orion/fedora/eclipse-photran-4.0-0.b3.1.fc8.src.rpm

should just need the new spec.

Andrew/Jeff -  Can we get a tracking bug for Eclipse platforms?  Is there one
already?
Comment 6 Sergio Pascual 2007-12-20 13:06:14 EST
SRPM URL:
http://www.cora.nwra.com/~orion/fedora/eclipse-photran-4.0-0.b3.fc8.1.src.rpm

APPROVED
Comment 7 Orion Poplawski 2007-12-20 13:12:59 EST
New Package CVS Request
=======================
Package Name: eclipse-photran
Short Description: Eclipse Fortran Development Tools (Photran) plugin
Owners: orion
Branches: F-7 F-8 EL-5
InitialCC: 
Cvsextras Commits: Yes
Comment 8 Tom "spot" Callaway 2007-12-20 14:05:36 EST
cvs done.
Comment 9 Andrew Overholt 2007-12-20 14:29:32 EST
(In reply to comment #5)
> Andrew/Jeff -  Can we get a tracking bug for Eclipse platforms?  Is there one
> already?

You really want a tracking bug for the CDT since it's the one with restricted
platforms.  To be honest, I'm not entirely sure that the CDT *needs* its
fragments.  I could be completely wrong here, though, so it requires some
investigate by Jeff.

Orion:  if you could file a bug against eclipse-cdt about investigating the use
of and need for its fragment(s), that would be appreciated.  Also, thanks for
packaging Photran!
Comment 10 Sergio Pascual 2008-01-09 11:36:59 EST
Any plans of building for F-8 and F-7?
Comment 11 Orion Poplawski 2008-01-09 11:50:24 EST
Well, I was waiting for the final release of 4.0.0 before releasing for F-8. 
Can't release for F-7 because photran requires CDT 4.0.1.  I'm building photran
for F-8 now and will push to updates-testing if it succeeds.  I think I'll still
wait for 4.0.0 final before pushing to updates.
Comment 12 Sergio Pascual 2008-02-09 08:16:58 EST
Can you close the bug and mark it as NEXTRELEASE as it's suggested in the
guidelines?

Note You need to log in before you can comment on or make changes to this bug.